﻿using System;
using System.Diagnostics;
using System.Windows.Input;
using Windows.UI.Xaml;
using CommandInvokeDemo.Command;

namespace CommandInvokeDemo.ViewModels
{
    public class MainPageViewModel
    {
        public ICommand TestCommand { get; private set; }
        public MainPageViewModel()
        {
            TestCommand = new RelayCommand(TestCmd);
        }


        public void TestCmd()
        {
            Debug.WriteLine("TestCmd");
        }


        public void Test()
        {
            Debug.WriteLine("test");
        }

        public void Test(RoutedEventArgs eventArgs, FrameworkElement sender, MainPageViewModel dataContext, Parameter param1, object param2)
        {
            Debug.WriteLine("sender:{0}", sender);
            Debug.WriteLine("eventArgs:{0}", eventArgs);
            Debug.WriteLine("dataContext:{0}", dataContext);
            Debug.WriteLine("param1:{0}", param1);
            Debug.WriteLine("param2:{0}", param2);
        }
    }
}
